package cn.ninegame.genericframework.basic;

import android.app.Activity;
import android.view.ViewGroup;

/**
 * Created by Administrator on 2017-08-03.
 */

public class IMessageContext<T> {

    private Activity activity;
    private ViewGroup viewGroup;
    private T mParams;

    public IMessageContext(T params){
        this.mParams = params;
    }

    public T getParams(){
        return mParams;
    }

    public Activity getActivity() {
        return activity;
    }

    public void setActivity(Activity activity) {
        this.activity = activity;
    }

    public ViewGroup getViewGroup() {
        return viewGroup;
    }

    public void setViewGroup(ViewGroup viewGroup) {
        this.viewGroup = viewGroup;
    }
}
