package cn.ninegame.genericframework.basic;

/**
 * Created by Zhonghui on 2017-04-19.
 */

public class LogManager implements ILogHandler {
    ILogHandler mDelegate;

    public void setCacheManagerDelegate(ILogHandler delegate){
        mDelegate = delegate;
    }

    @Override
    public void log(String tag, LogLevel logLevel,String msg) {
        if(mDelegate != null){
            mDelegate.log(tag,logLevel,msg);
        }
    }

    @Override
    public void log(String tag, String message,Throwable throwable) {
        if(mDelegate != null){
            mDelegate.log(tag,message,throwable);
        }
    }

}
